
Website Input - Bug #1584

Cannot preview some URLs (doesn't appear to support non-FDQN hosts)

11/14/2016 09:59 PM - Luke Murphey

Status: Closed Start date: 11/14/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.2.1   

Description

History

#1 - 11/14/2016 10:01 PM - Luke Murphey

The function checkURL() within web_input_preview_dialog.html

#2 - 11/14/2016 10:13 PM - Luke Murphey

- Subject changed from Cannot preview some URLs to Cannot preview some URLs (doesn't appear to support non-FDQN hosts)

#3 - 11/14/2016 10:19 PM - Luke Murphey

This is the current regex:

/^(http|https|ftp):\/\/([a-zA-Z0-9.-]+(:[a-zA-Z0-9.&amp;%$-]+)*@)*((25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]

{1}[0-9]{1}|[1-9]).(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9]|0).(25[0-5]|2[0-4][0-9]|[0-1]{

1}[0-9]{2}|[1-9]{1}[0-9]{1}|[1-9]|0).(25[0-5]|2[0-4][0-9]|[0-1]{1}[0-9]{2}|[1-9]{1}[0-9]{1}|[0-9])|([a-zA-Z0-9

-]+.)*[a-zA-Z0-9-]+.(com|edu|gov|int|mil|net|org|biz|arpa|info|name|pro|aero|coop|museum|[a-zA-Z]{2}))(:[0-9]+

)*(\/($|[a-zA-Z0-9.,?'\+&amp;%$#=~_-]+))*$/

#4 - 11/14/2016 10:22 PM - Luke Murphey

- Target version set to 3.2.1

#5 - 11/24/2016 06:44 PM - Luke Murphey

- % Done changed from 0 to 100

#6 - 11/24/2016 06:45 PM - Luke Murphey

- Status changed from New to Closed
